/*
=============================================
Author      : <ยุทธภูมิ ตวันนา>
Create date : <๐๖/๑๑/๒๕๖๒>
Modify date : <๐๖/๐๖/๒๕๖๕>
Description : <>
=============================================
*/

@import "../assets/style/util.scss";

main header .navbar-header-background {
    width: 163px;
    height: 95px;
    position: absolute;
    top: 0;
    right: 0;
    z-index: 1;
    background-image: url($image-path + "/header-background.png");
    background-position: bottom right;
    background-size: cover;
    background-repeat: no-repeat;
}

main header .navbar-header-background:not(.has-header-subtitle),
main header .navbar-header-background.has-menu-dropdown {
    width: 105px;
    height: $header-max-height;
}

main header .navbar-header {
    height: $header-max-height;
    background-color: #1D4F91;
}

main header .navbar-header:not(.has-header-subtitle):not(.has-menu-dropdown),
main header .navbar-header-menu:not(.has-header-subtitle) .dropdown-menu {
    /*
    border-bottom-left-radius: 1.3rem !important;
    */
    box-shadow: 0 5px 8px 0 rgba(0, 0, 0, 0.4);
}

main header .navbar-header-menu {
    display: none;
}

main header .navbar-header-menu .dropdown-menu {
    min-width: 100%;
    background-color: #1D4F91;
    opacity: 1;
}

main header .navbar-header-menu .dropdown-menu .dropdown-item {
    border-bottom: 1px solid rgba(0, 123, 255, 0.2);
    padding: 0.75rem 0;
}

main header .navbar-header-menu .dropdown-menu .dropdown-item:last-child {
    border-bottom: 0;
}

main header .navbar-header-menu .dropdown-menu .dropdown-item:hover,
main header .navbar-header-menu .dropdown-menu .dropdown-item:focus,
main header .navbar-header-menu .dropdown-menu .dropdown-item.active,
main header .navbar-header-menu .dropdown-menu .dropdown-item:active{
    color: rgba(255, 255, 255, 1) !important;
    background-color: transparent;
}

main header .navbar-header-menu .dropdown-menu .dropdown-item i {
    width: 27px;
}

main header .navbar-header-title {
    background-color: rgba(29, 79, 145, 0.95);
    /*
    border-bottom-left-radius: 1.3rem !important;
    */
    box-shadow: 0 5px 8px 0 rgba(0, 0, 0, 0.4);
}

main header .navbar-header-title.row {
    display: table !important;
    table-layout: fixed !important;
    width: 100%;
    height: 36px;
    position: relative;
    top: -1px;
}

main header .navbar-header-title.row .col {
    display: table-cell !important;
    position: relative;
    z-index: 1;
}

main header .navbar-header-title.row .col a i {
    position: relative;
    top: -2px;
}

main header .navbar-header .d-table {
    width: inherit;
    height: inherit;
    table-layout: auto;
}

main header .navbar-header .d-table .d-table-row,
main header .navbar-header .d-table .d-table-cell,
main header .navbar-header .d-table .d-table-cell .label {
    height: inherit;
    vertical-align: middle;
}

main header .navbar-header .d-table .d-table-cell.systeminfo {
    width: 578px;
}

main header .navbar-header .d-table .d-table-cell.systeminfo .owner {
    width: 220px;
}

main header .navbar-header .d-table .d-table-cell.systeminfo .menu {
    width: 38px;
    display: none;
}

main header .navbar-header .d-table .d-table-cell.systeminfo .fullname {
    width: 358px !important;
}

main header .navbar-header .d-table .d-table-cell.systeminfo .owner .label,
main header .navbar-header .d-table .d-table-cell.systeminfo .fullname {
    width: inherit;
    background-image: url($image-path + "/label.png");
}

main header .navbar-header .d-table .d-table-cell.systeminfo .owner .label-th {
    /*
    background-position: 0 0;
    */
    background-position: 0 -332px;
}

main header .navbar-header .d-table .d-table-cell.systeminfo .owner .label-en {
    /*
    background-position: 0 -80px;
    */
    background-position: 0 -392px;
}

main header .navbar-header .d-table .d-table-cell.systeminfo .fullname {
    /*
    background-position: -251px 0;
    */
    background-position: -251px -332px;
}

main header .navbar-header .d-table .d-table-cell.userinfo {
    width: auto;
    float: right;
    position: relative;
    z-index: 2;
}

main header .navbar-header .d-table .d-table-cell.userinfo .flags-icon,
main header .navbar-header .d-table .d-table-cell.userinfo .home-icon,
main header .navbar-header .d-table .d-table-cell.userinfo .manual-icon {
    width: 24px;
    padding-left: 10px;
}

main header .navbar-header .d-table .d-table-cell.userinfo .projectcategory-icon .btn,
main header .navbar-header .d-table .d-table-cell.userinfo .howto-icon .btn {
    color: #FFFFFF;
    min-width: 0;
}

main header .navbar-header .d-table .d-table-cell.userinfo .projectcategory-icon .btn:hover,
main header .navbar-header .d-table .d-table-cell.userinfo .howto-icon .btn:hover {
    text-decoration: underline !important;
}

main header .navbar-header .d-table .d-table-cell.userinfo .user-icon {
    width: 35px;
    padding-left: 10px;
}

main header .navbar-header .d-table .d-table-cell.userinfo .signin-icon {
    width: 75px;
    padding-left: 10px;
}

main header .navbar-header .d-table .d-table-cell.userinfo .flags-icon a,
main header .navbar-header .d-table .d-table-cell.userinfo .home-icon a,
main header .navbar-header .d-table .d-table-cell.userinfo .manual-icon a,
main header .navbar-header .d-table .d-table-cell.userinfo .projectcategory-icon a,
main header .navbar-header .d-table .d-table-cell.userinfo .howto-icon a {
    position: relative;
}

main header .navbar-header .d-table .d-table-cell.userinfo .user-icon #profile,
main header .navbar-header .d-table .d-table-cell.userinfo .signin-icon #signin {
    display: block;
    width: inherit;
    height: 35px;
    border-radius: 5rem;
    position: relative;
}

main header .navbar-header .d-table .d-table-cell.userinfo .projectcategory-icon a,
main header .navbar-header .d-table .d-table-cell.userinfo .howto-icon a,
main header .navbar-header .d-table .d-table-cell.userinfo .signin-icon #signin {
    top: -1px;
}

main header .navbar-header .d-table .d-table-cell.userinfo .user-icon #profile,
main header .navbar-header .d-table .d-table-cell.userinfo .signin-icon #signin {
    line-height: 36px;
}

main header .navbar-header .d-table .d-table-cell.userinfo .user-icon #profile.dropdown-toggle::after,
main header .navbar-header .d-table .d-table-cell.userinfo .signin-icon #signin.dropdown-toggle::after {
    display: none;
}

main header .navbar-header .d-table .d-table-cell.userinfo .user-icon .dropdown-menu,
main header .navbar-header .d-table .d-table-cell.userinfo .signin-icon .dropdown-menu {
    width: 293px;
    margin-top: 0;
    top: 12px !important;
    opacity: 1;
    transform: translateY(48px)
}

main header .navbar-header .d-table .d-table-cell.userinfo .signin-icon .dropdown-menu {
    width: 312px;
    top: 13px !important;
}

main header .navbar-header .d-table .d-table-cell.userinfo .user-icon .dropdown-menu-inner,
main header .navbar-header .d-table .d-table-cell.userinfo .signin-icon .dropdown-menu-inner {
    border: 0;
    border-radius: 0.6rem;
    box-shadow: 0px 1px 2px 0px rgba(60, 64, 67, .35), 0px 2px 6px 2px rgba(60, 64, 67, .35)
}

main header .navbar-header .d-table .d-table-cell.userinfo .user-icon .dropdown-menu .d-table,
main header .navbar-header .d-table .d-table-cell.userinfo .signin-icon .dropdown-menu .d-table {
    table-layout: fixed;
    padding-left: 15px;
    padding-right: 15px;
}

main header .navbar-header .d-table .d-table-cell.userinfo .user-icon .dropdown-menu .user-icon {
    display: block;
    width: 80px;
    height: 80px;
    line-height: 82px;
    border-radius: 50%;
    padding-left: 0;
}

main header .navbar-header .d-table .d-table-cell.userinfo .user-icon .dropdown-menu .dropdown-item.active,
main header .navbar-header .d-table .d-table-cell.userinfo .user-icon .dropdown-menu .dropdown-item:active,
main header .navbar-header .d-table .d-table-cell.userinfo .signin-icon .dropdown-menu .dropdown-item.active,
main header .navbar-header .d-table .d-table-cell.userinfo .signin-icon .dropdown-menu .dropdown-item:active {
    color: #16181b;
    background-color: #f8f9fa;
}

main header .navbar-header .d-table .d-table-cell.userinfo .signin-icon #signin {
    border: 1px solid #ffffff;
    border-radius: 0.25rem;
    line-height: 34px;
}

main header .navbar-header .d-table .d-table-cell.userinfo .signin-icon .btn-signin-with .btn {
    width: 100%;
    height: 50px;
    border: 0;
    padding-top: 0;
    padding-right: 0.75rem;
    padding-bottom: 0;
    padding-left: 0.75rem;
}

main header .navbar-header .d-table .d-table-cell.userinfo .signin-icon .btn-signin-with .with-mu {
    background-color: #1D4F91;
}

main header .navbar-header .d-table .d-table-cell.userinfo .signin-icon .btn-signin-with .with-mu .inline-block:first-child {
    width: 30px;
    height: 30px;
}

main header .navbar-header .d-table .d-table-cell.userinfo .signin-icon .btn-signin-with .with-mu .inline-block:last-child {
    color: #FFFFFF;
    padding-left: 0.75rem;
}

@media screen and (max-width: 950px) {
    main header .navbar-header .d-table .d-table-cell.systeminfo {
        width: 413px;
    }

    main header .navbar-header .d-table .d-table-cell.systeminfo .owner {
        width: 55px;
    }
}

@media screen and (max-width: 785px) {
    main header .navbar-header .d-table .d-table-cell.systeminfo {
        width: 331px;
    }

    main header .navbar-header .d-table .d-table-cell.systeminfo .fullname {
        width: 276px;
        background-position: 0 -452px;
    }
}

@media screen and (max-width: 704px) {
    main header .navbar-header .d-table .d-table-cell.systeminfo {
        width: 175px;
    }

    main header .navbar-header .d-table .d-table-cell.systeminfo .fullname {
        width: 120px;
        background-position: 0 -512px;
    }
}

@media screen and (max-width: 548px) {
    main header .navbar-header .d-table .d-table-cell.systeminfo {
        width: 120px;
    }

    main header .navbar-header .d-table .d-table-cell.systeminfo .owner {
        display: none !important;
    }
}

@media screen and (max-width: 493px) {
    main header .navbar-header .d-table .d-table-cell.systeminfo {
        width: 175px;
    }

    main header .navbar-header .d-table .d-table-cell.userinfo .projectcategory-icon,
    main header .navbar-header .d-table .d-table-cell.userinfo .howto-icon {
        display: none !important;
    }

    main header .navbar-header-menu {
        display: block;
    }

    main header .navbar-header .d-table .d-table-cell.systeminfo .menu {
        display: table-cell !important;
        vertical-align: middle;
    }
}

main section {
    transition: padding-top .2s ease-in;
}

main footer {
    background: #282828;
    border-top: 5px solid rgba(255, 255, 255, 0.15);
    color: rgba(255, 255, 255, 0.4);
}
